import request from '@/utils/request'

// 查询设备软硬件升级计划列表
export function listUpgrade(query) {
  return request({
    url: '/mf/upgrade/list',
    method: 'get',
    params: query
  })
}

// 查询设备软硬件升级计划详细
export function getUpgrade(id) {
  return request({
    url: '/mf/upgrade/' + id,
    method: 'get'
  })
}

// 新增设备软硬件升级计划
export function addUpgrade(data) {
  return request({
    url: '/mf/upgrade',
    method: 'post',
    data: data
  })
}

// 修改设备软硬件升级计划
export function updateUpgrade(data) {
  return request({
    url: '/mf/upgrade',
    method: 'put',
    data: data
  })
}

// 删除设备软硬件升级计划
export function delUpgrade(id) {
  return request({
    url: '/mf/upgrade/' + id,
    method: 'delete'
  })
}
